Bug 204903 - RFE: cross-platform grub resume support
RFE: cross-platform grub resume support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 03:42 EDT by Need Real Name
Modified: 2009-02-25 04:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 04:47:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-09-01 03:42:04 EDT
Grub and lilo were invented to allow a user with multiple operating systems or
kernels to switch between them at boot time.

It seems to be the trend to suspend a box rather than shut it down these days,
but this fails horribly if you run a dual boot box.

It would be nice if grub could handle the resume of a chosen operating system.
i.e. press the power on button (or whatever) to resume of suspended/hibernated
box, and grub pops up with a list of os'/kernels to choose to restore.

(btw I can see how this is likely impossible, but it's good to have ideas.
Maybe I missed something.)
Comment 1 Bug Zapper 2008-11-26 02:01:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lubomir Rintel 2009-01-11 06:37:56 EST
It is not safe to let anything run while an operating system is suspended since the saved state would easily get out of sync with actual state of the system (mostly disk contents).

Given how marginally useful would this be -- would you mind if I closed this bug report with WONTFIX?
Comment 3 Need Real Name 2009-01-11 06:46:11 EST
Okay then, but before you do: one question.
If what you said is true, then when I suspend to disk, why am I allowed to resume using a different kernel?
Comment 4 Lubomir Rintel 2009-01-11 07:39:00 EST
(In reply to comment #3)
> Okay then, but before you do: one question.
> If what you said is true, then when I suspend to disk, why am I allowed to
> resume using a different kernel?

I guess that is a bug. For me, the suspend to disk sets the menu timeout to 0, apparently an an effort to prevent me from booting another kernel.

How do you trigger a suspend to disk?
Comment 5 Need Real Name 2009-01-11 13:38:53 EST
Normally with pm-hibernate, which I think is what the GUI thing calls.
I just tried the GUI way and it didn't prompt so either I misremembered, or it changed since last time I tried.

Note You need to log in before you can comment on or make changes to this bug.